import { ElementRef, OnInit } from "@angular/core";
import { Icon } from "../../enum/icon.enum";
import { IconCacheService } from "../../service/icon-cache.service";
import { OperationCallbackFunctionWithValidation } from "../../interface/operation-callback-function-with-validation";
import { WorkflowProcess } from "@colijnit/mainapi/build/model/workflow-process";
import { SharedService } from "../../service/shared.service";
import { OverlayService } from "@colijnit/corecomponents_v12";
export declare class WorkflowNotificationToggleComponent implements OnInit {
    element: ElementRef;
    iconService: IconCacheService;
    sharedService: SharedService;
    private _overlayService;
    readonly icons: typeof Icon;
    table: string;
    key: string;
    setHasPausedNotificationsForWorkflowProcessOperation: OperationCallbackFunctionWithValidation;
    showClass(): boolean;
    workflowProcesses: WorkflowProcess[];
    showPopup: boolean;
    private _workflowPopupRef;
    constructor(element: ElementRef, iconService: IconCacheService, sharedService: SharedService, _overlayService: OverlayService);
    ngOnInit(): void;
    private _loadWorkflowProcesses;
    buttonClicked(): void;
    openPopup(): void;
    closePopup(): void;
    handleWorkflowToggle(workflow: WorkflowProcess): Promise<void>;
}
